Page MenuHomePhabricator

New improved LivePreview incompatible with ProofreadPage's fancy forms for Index: namespace pages
Closed, ResolvedPublic

Description

New improved LivePreview is incompatible with ProofreadPage's fancy forms for Index: namespace pages. Nothing explodes, the preview just doesn't appear. It has allegedly worked before.

Examples:

Event Timeline

matmarex created this task.Dec 16 2014, 9:51 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex changed Security from none to None.
matmarex added subscribers: matmarex, TheDJ.
matmarex added a subscriber: Quiddity.
TheDJ added a comment.Jan 5 2015, 2:29 PM

Yeah, before we did a normal submit, so whatever form was there, it got submitted, rendered and then we replaced parts of the existing page, with the returned result...

As far as I know, there is no option to API render such an edit form created by Proofread, so we should just properly disable this in those situations.

Aklapper triaged this task as Normal priority.Feb 26 2015, 1:44 PM

Change 198107 had a related patch set uploaded (by TheDJ):
Live preview: Disable if there is no wpTextbox1

https://gerrit.wikimedia.org/r/198107

TheDJ claimed this task.Mar 20 2015, 7:16 AM
matmarex closed this task as Resolved.Mar 22 2015, 11:58 AM
matmarex removed a project: Patch-For-Review.

Change 198107 merged by jenkins-bot:
mediawiki.action.edit.preview: Disable if there is no #wpTextbox1

https://gerrit.wikimedia.org/r/198107

TheDJ reopened this task as Open.Mar 26 2015, 10:09 PM

Reopen due to causing regression T94089

Change 200477 had a related patch set uploaded (by Gerrit Patch Uploader):
mediawiki.action.edit.preview: Disable if there is no #wpTextbox1

https://gerrit.wikimedia.org/r/200477

Change 200477 merged by jenkins-bot:
mediawiki.action.edit.preview: Disable if there is no #wpTextbox1

https://gerrit.wikimedia.org/r/200477

TheDJ closed this task as Resolved.Mar 29 2015, 9:13 PM
TheDJ removed a project: Patch-For-Review.
GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 4:01 AM